wibble::net::http::error404 Struct Reference

`#include <http.h>`

Inheritance diagram for wibble::net::http::error404:
[legend]
Collaboration diagram for wibble::net::http::error404:
[legend]

## Public Member Functions

| error404 ()
| error404 (const std::string &msg)
virtual void | send (Request &req)
Public Member Functions inherited from wibble::net::http::error
| error (int code, const std::string &desc)
| error (int code, const std::string &desc, const std::string &msg)
virtual | ~error () throw ()
virtual const char * | what () const throw ()

## Additional Inherited Members

Public Attributes inherited from wibble::net::http::error
int | code
std::string | desc
std::string | msg

## Constructor & Destructor Documentation

## error404() [1/2]

wibble::net::http::error404::error404 | ( |  | ) |

inline

## error404() [2/2]

wibble::net::http::error404::error404 | ( | const std::string & | msg | ) |

inline

References wibble::net::http::error::send().

## Member Function Documentation

## send()

void wibble::net::http::error404::send | ( | Request & | req | ) |

virtual

Reimplemented from wibble::net::http::error.

References wibble::net::http::Request::script_name.

The documentation for this struct was generated from the following files:

- http.h
- http.cpp